#pragma once

#ifndef LAMPDATASHOWClASS_H
#define LAMPDATASHOWClASS_H

#include "AllHead.h"
#include <QMainWindow>
#include "ui_LAMPDataShowClass.h"
#include "TaskXml/TaskTreeClass.h"
#include "TaskNodeList.h"
#include "ImageShowDialogClass.h"


class LAMPDataShowClass : public QMainWindow
{
	Q_OBJECT

public:
	LAMPDataShowClass(QWidget *parent = nullptr);
	~LAMPDataShowClass();

public:
	QList<QDialog*> Dialog;



public slots: // 菜单action 槽函数
	void add_DataTree(TaskNode* node);
 	void on_action_openfile_tiff_triggered();
	void on_action_openfile_envi_triggered();
	void on_action_openfile_tiff_complex_triggered();
	void on_action_openfile_envi_complex_triggered();

public:
	void load_complex_data(QString path);
private:
	Ui::LAMPDataShowClassClass ui;
};


///////////////////////////////////////////////////////
// 基础函数
///////////////////////////////////////////////////////
void  ShowComplexMatrixPlot(QCustomPlot* customPlot, const Eigen::MatrixXcd& complexMatrix);





#endif